Bug 44132 - XFree86 -configure crashes with trace/breakpoint failure
XFree86 -configure crashes with trace/breakpoint failure
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-11 16:08 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-09 05:36:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86.0.log from XFree86 -configure attempt (19.23 KB, text/plain)
2001-06-11 16:13 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-06-11 16:08:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.1) Gecko/20010607

Description of problem:

I just upgraded a customer's Compaq Proliant 1600 server with integrated
CL-G5446 video from Red Hat 6.2/XFree86 3.3.6 to Red Hat 7.1/XFree86 4.0.3.
X ran fine during the the graphical installation, but I had video
corruption upon reboot, so I attempted to reconfigure X using
Xconfigurator. It exited abnormally with a "Trace/breakpoint failure," so I
attempted to use xf86config to generate a new XF86Config file.

Video corruption was worse with the new file in place: the top half of the
screen was black, and the bottom half displayed a section of the desktop at
an absurdly low resolution.  So, I tried to start from scratch, generating
a base XF86Config file with XFree86 -configure, but it, too, exited
abruptly with a trace/breakpoint failure and generated a coredump.  The
XFree86.0.log file from that attempt is attached to this bug report.

Additional info:

Here are the XFree86 RPMs that are installed:

[root@www log]# rpm -qa | grep XF
XFree86-libs-4.0.3-5
XFree86-xfs-4.0.3-5
XFree86-twm-4.0.3-5
XFree86-SVGA-3.3.6-35
XFree86-4.0.3-5
XFree86-tools-4.0.3-5
XFree86-xdm-4.0.3-5
XFree86-doc-4.0.3-5
XFree86-75dpi-fonts-4.0.3-5
XFree86-devel-4.0.3-5
XFree86-3DLabs-3.3.6-35
Comment 1 Need Real Name 2001-06-11 16:13:36 EDT
Created attachment 20762 [details]
XFree86.0.log from XFree86 -configure attempt
Comment 2 Mike A. Harris 2001-10-11 15:29:12 EDT
Is the Cirrus Logic card configured as the primary display device in the
machine's CMOS (compaq equiv)?
Comment 3 Mike A. Harris 2002-02-09 05:36:50 EST
Please reopen bug report with requested info if this problem is still
occuring with XFree86 4.1.0-15 which was released as erratum for
Red Hat Linux 7.1.  Attach your X servwer logs and X server config
files from 4.1.0 at that time.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.